@keyframes ai-spin-border {
    to {
        transform: rotate(360deg);
    }
}


#blog-sidebar {
    width: 30%;
}

#posts-wrapper {
    width: 65%;
    gap: 2%;
}

.side-box__title {
    font-size: 30px;
    font-weight: 800;
}

.side-box__content li {
    border-bottom: .5px solid var(--border-gray);
    padding: 10px;
    transition: all .2s ease-in;
}
.side-box__content li:hover {
    transform: scale(1.03);
}
.side-box__content li img {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}
.img-wrp {
    width: 69px;
    height: 69px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.img-wrp::before {
  content: '';
  width: 100%;
  height: 100%;
  border: 1.2px dashed var(--blue);
  stroke-dashoffset: 20px;
  border-radius: 50%;
  position: absolute;
  z-index: 11;
  animation: ai-spin-border 26s linear infinite;
}
.side-box-title {
    font-size: 18px !important;
}
.side-box__content li p {
    font-size: 14px;
}
.side-box__content li > div {
    width: calc(100% - 90px);
    margin-left: 30px;
}

.post-date {
    color: var(--light-blue);
}

.card-hover {
  width: 32%;
  height: 500px;
  position: relative;
  overflow: hidden;
  box-shadow: 0 0 32px -10px rgba(0,0,0,0.8);
  margin-bottom: 26px;
  border-radius: 7px;
}

.card-hover__content {
  width: 100%;
  text-align: center;
  background-color: var(--light-blue);
  padding: 30px;
  position: absolute;
  bottom: 0;
  left: 0;
  transform: translateY(0);
  transition: all 0.35s 0.35s cubic-bezier(.1,.72,.4,.97);
  will-change: bottom, background-color, transform, padding;
  z-index: 1;
}



.card-hover__content::before {
  top: -80px;
/*   clip-path: ellipse(60% 80px at bottom center); */
}

.card-hover__content::after {
  bottom: -80px;
  clip-path: ellipse(60% 80px at top center);
}

.card-hover__title {
  margin-bottom: 1em;
  min-height: 100px;
  color: var(--white);
  display: flex;
  align-items: end;
}

.card-hover__title span {
  color: #2d7f0b;
}

.card-hover__text {
  font-size: 0.75rem;
}

.card-hover__link {
  position: absolute;
  bottom: 1rem;
  left: 50%;
  transform: translate(-50%, 10%);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  text-decoration: none;
  color: var(--white);
  opacity: 0;
  padding: 10px;
  transition: all 0.35s;
  bottom: 0;
}


.card-hover__link svg {
  width: 18px;
  margin-left: 4px;
  transition: transform 0.3s;
}

.card-hover__extra {
  height: 73%;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  font-size: 16px;
  text-align: center;
  background-color: var(--blue);
  padding: 60px;
  bottom: 0;
  z-index: 0;
  color: #dee8c2;
  transform: translateY(100%);
  will-change: transform;
  transition: transform 0.35s;
}

.categories-wrapper {
  justify-content: space-around !important;
  background-color: var(--white);
  border-radius: 20px;
  width: 100%;
  padding: 10px;
}


.categories-wrapper strong, .categories-wrapper a {
  color: var(--dark-blue);
}

.card-hover__extra span {
  color: #2d7f0b;
}

.card-hover img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  z-index: -1;
  transform: scale(1.2);
  transition: 0.35s 0.35s transform cubic-bezier(.1,.72,.4,.97);
}


.active-card {
  height: 50% !important;
  background-color: var(--light-blue);
  bottom: 100%;
  transform: translateY(100%);
  padding: 50px 60px;
  transition: all 0.35s cubic-bezier(.1,.72,.4,.97);
}
.active-card-part-2 {
  transform: translateY(0);
  transition: transform 0.35s;
}

@media only screen and (min-width: 768px) {
	.card-hover__link:hover svg {
  transform: translateX(4px);
}

.card-hover:has(.card-hover__link:hover) .card-hover__extra {
  transform: translateY(0);
  transition: transform 0.35s;
}
.card-hover__extra > p {
  color: var(--white);
}

.card-hover:hover .card-hover__content {
  background-color: var(--light-blue);
  bottom: 100%;
  transform: translateY(100%);
  padding: 30px;
  transition: all 0.35s cubic-bezier(.1,.72,.4,.97);
}

.card-hover:hover .card-hover__link {
  opacity: 1;
  transform: translate(-50%, 0);
  transition: all 0.3s 0.35s cubic-bezier(.1,.72,.4,.97);
}

.card-hover:hover img {
  transform: scale(1);
  transition: 0.35s 0.1s transform cubic-bezier(.1,.72,.4,.97);
}

}
@media only screen and (max-width: 1300px) {
    .blog-container .atd-main {
        flex-wrap: wrap;
    }
    #blog-sidebar, #posts-wrapper, #main {
        width: 100% !important;
    }
    #blog-sidebar {
        margin-bottom: 30px;
    }
    .card-hover {
        width: 47% !important;
    }
    #posts-wrapper {
        gap: 6% !important;
    }
}

@media only screen and (max-width: 768px) {
	#posts-wrapper {
        gap: 0% !important;
    }
  .card-hover {
    width: 90% !important;
    margin: 0 auto 26px;
    margin-bottom: 26px;
  }
	
	.card-hover__link {
		opacity: 1 !important;
		bottom: 20px !important;
		border-radius: 9999px;
		background: #fff !important;
		color: var(--light-blue) !important;
	}
	.card-hover__title {
		align-items: start !important;
		justify-content: center !important;
		margin-bottom: 0 !important;
	}
	.card-hover__extra {
		height: 50%;
		padding: 20px 60px !important;
	}
	#blog-sidebar {
		margin-top: 30px !important;
	}
}


@media only screen and (max-width: 480px) {
	.card-hover__link {
		font-size: 14px !important;
	}
	.active-card {
		height: 40% !important;
	}
	.active-card-part-2 {
		height: 60% !important;
	}
	.card-hover__title {
		font-size: 16px !important;
	}
	.side-box-title {
		font-size: 14px !important;
	}
}



